Subject: bug#34318: 26.1.90; Strange behavior of two line message with running shell

From: Andreas Schwab <[email-masked]>
Date: Tue, 05 Feb 2019 14:44:01 +0100

On Feb 05 2019, Eli Zaretskii <[email-masked]> wrote:

> On February 5, 2019 1:39:16 PM GMT+02:00, Andreas Schwab <[email-masked]> wrote:
>> On Feb 05 2019, martin rudalics <[email-masked]> wrote:
>> 
>> > Since it apparently worked
>> > until Emacs 25 we have a regression in Emacs 26 though.
>> 
>> The regression appears to be that the synchronisation of buffer local
>> and global values doesn't work.  When I type M-x, then C-h v
>> print-escape-newlines, I get this:
>> 
>> print-escape-newlines is a variable defined in ‘C source code’.
>> Its value is nil
>> Local in buffer  *Minibuf-1*; global value is t
>> 
>> Which doesn't make sense (the values are swapped).
>> 
>> Andreas.
>
> I'm not sure I agree with the conclusion.  It could simply be that the code which distinguishes between local and global values  is confused because M-x puts you in *Minibuf-1*, whereas C-h v switches to *Minibuf-2*.

The latter no longer exists when describe-variable is executed.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."